<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package rad
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="bar-dropdown">
			<div class="site-branding-top">
			<?php if ( function_exists('the_custom_logo') && has_custom_logo() ) { ?>
				<div id="logo">
					<?php the_custom_logo(); ?>
				</div>
			<?php }
			else { ?>
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
			<?php } ?>
		</div><!-- .site-branding -->
		<?php if ( get_theme_mod('social',true) ) : ?>
				
			<?php get_template_part('social'); ?>
			
	<?php else : ?>
		<div id="search-bar">
			<?php get_search_form(); ?>
		</div><!-- #search-bar -->
		<?php endif; ?>
		</div><!-- #bar-dropdown -->
<div id="top-nav" class="container">
		<nav id="site-navigation" class="main-navigation" role="navigation">
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Primary Menu', 'rad' ); ?></button>
			<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
		</nav><!-- #site-navigation -->
	</div>

<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'rad' ); ?></a>

	<header id="masthead" class="site-header" role="banner">
		<div class="site-branding">
			<?php if ( function_exists('the_custom_logo') && has_custom_logo() ) { ?>
				<div id="logo">
					<?php the_custom_logo(); ?>
				</div>
			<?php } else { ?>
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
			<?php } ?>
		</div><!-- .site-branding -->
		<div id="header-image"></div>
		<div id="search-wrapper">
	
	<?php if ( get_theme_mod('social',false) ) : ?>
		<div id="social-icons" class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
				
			<?php get_template_part('social'); ?>
			
		</div>
	<?php endif; ?>
		<?php if ( get_theme_mod('social', false) == true ) : ?>
		<div id="search-bar" class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
			<?php else : ?>
		<div id="search-bar" class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		<?php endif; ?>
			<?php get_search_form(); ?>
	</div>
	</header><!-- #masthead -->
	
	<?php	if ( is_home() && (get_theme_mod('rad-fp-enable', false) == true) ) : 	
		 get_template_part('post', 'featured'); 	 
	endif;?>
	
	<?php if ( get_theme_mod( 'rad-content-toggle', false ) == false ) { ?>
	<div id="content" class="site-content container">
	<?php 
	} 
	else 
	{ ?>
		<div id="content" class="site-content">
	<?php } ?>
